package cc.smtweb.system.bpm.web.engine.flow.entity;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 候选信息人
 */
@SwTable("WF_CANDIDATE")
public class Candidate extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_CANDIDATE";

    public Candidate() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("cnd_id");
    }

    public void setId(long cndId) {
        put("cnd_id", cndId);
    }

    public long getPriId() {
        return getLong("cnd_pri_id");
    }

    public void setPriId(long cndPriId) {
        put("cnd_pri_id", cndPriId);
    }

    public long getTskId() {
        return getLong("cnd_tsk_id");
    }

    public void setTskId(long cndTskId) {
        put("cnd_tsk_id", cndTskId);
    }

    public long getUserId() {
        return getLong("cnd_user_id");
    }

    public void setUserId(long cndUserId) {
        put("cnd_user_id", cndUserId);
    }

    public int getIsSign() {
        return getInt("cnd_is_sign");
    }

    public void setIsSign(int cndIsSign) {
        put("cnd_is_sign", cndIsSign);
    }
}
